org.apache.thrift.transport

## Class TFileTransport.truncableBufferedInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - java.io.BufferedInputStream
      - - org.apache.thrift.transport.TFileTransport.truncableBufferedInputStream

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable
  Enclosing class:
    TFileTransport

      public static class TFileTransport.truncableBufferedInputStream
      extends java.io.BufferedInputStream

- - ### Field Summary

    - ### Fields inherited from class java.io.BufferedInputStream

      `buf, count, marklimit, markpos, pos`

    - ### Fields inherited from class java.io.FilterInputStream

      `in`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TFileTransport.truncableBufferedInputStream(java.io.InputStream in)`
    `TFileTransport.truncableBufferedInputStream(java.io.InputStream in, int size)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `trunc()`

    - ### Methods inherited from class java.io.BufferedInputStream

      `available, close, mark, markSupported, read, read, reset, skip`

    - ### Methods inherited from class java.io.FilterInputStream

      `read`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TFileTransport.truncableBufferedInputStream

          public TFileTransport.truncableBufferedInputStream(java.io.InputStream in)

    - #### TFileTransport.truncableBufferedInputStream

          public TFileTransport.truncableBufferedInputStream(java.io.InputStream in,
                                                     int size)

  - ### Method Detail

    - #### trunc

          public void trunc()